# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Mon Jul 22 16:03:28 2024
# ------------------------------------------------

package:
  name: pyarrow
  version: 16.1.0
source:
  sha256: c9e60c7e87e59383d21b20dc874b17153729ee153264af6d21654b7dff2c60d7
  url: https://archive.apache.org/dist/arrow/arrow-16.1.0/apache-arrow-16.1.0.tar.gz
build:
  missing_dso_whitelist:
    - '*/libarrow_python.so'
    - '*/libarrow_python_flight.so'
  number: '0'
  rpaths:
    - /croot/pyarrow_1721664224167/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/lib/python3.9/site-packages/pyarrow
    - lib/
  string: py39hfb1e5ee_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - bzip2 1.0.8 h998d150_6
    - c-ares 1.19.1 h998d150_0
    - ca-certificates 2024.7.2 hd43f75c_0
    - cmake 3.26.4 h3bd60fd_0
    - expat 2.6.2 h419075a_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - krb5 1.20.1 h2e2fba8_1
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libcurl 8.7.1 hfa2bbb0_0
    - libedit 3.1.20230828 h998d150_0
    - libev 4.33 hfd63f10_1
    - libffi 3.4.4 h419075a_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.57.0 hb788212_0
    - libssh2 1.11.0 hfa2bbb0_0
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - libuv 1.48.0 h998d150_0
    - lz4-c 1.9.4 h419075a_1
    - make 4.2.1 hfd63f10_1
    - ncurses 6.4 h419075a_0
    - ninja 1.10.2 hd43f75c_5
    - ninja-base 1.10.2 h59a28a9_5
    - openssl 3.0.14 h998d150_0
    - python 3.12.4 h8edadfe_1
    - readline 8.2 h998d150_0
    - rhash 1.4.3 h6ac735f_0
    - sqlite 3.45.3 h998d150_0
    - sysroot_linux-aarch64 2.26 h4744778_14
    - tk 8.6.14 h987d8db_0
    - tzdata 2024a h04d1e81_0
    - xz 5.4.6 h998d150_1
    - zlib 1.2.13 h998d150_1
    - zstd 1.5.5 h6a09583_2
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - arrow-cpp 16.1.0 h55c711c_0
    - aws-c-auth 0.6.19 h998d150_0
    - aws-c-cal 0.5.20 h6ac735f_0
    - aws-c-common 0.8.5 h998d150_0
    - aws-c-compression 0.2.16 h998d150_0
    - aws-c-event-stream 0.2.15 h419075a_0
    - aws-c-http 0.6.25 h998d150_0
    - aws-c-io 0.13.10 h998d150_0
    - aws-c-mqtt 0.7.13 h998d150_0
    - aws-c-s3 0.1.51 h6ac735f_0
    - aws-c-sdkutils 0.1.6 h998d150_0
    - aws-checksums 0.1.13 h998d150_0
    - aws-crt-cpp 0.18.16 h419075a_0
    - aws-sdk-cpp 1.10.55 h3140d82_0
    - blas 1.0 openblas
    - boost-cpp 1.82.0 hb8fdbf2_2
    - bzip2 1.0.8 h998d150_6
    - c-ares 1.19.1 h998d150_0
    - ca-certificates 2024.7.2 hd43f75c_0
    - cython 3.0.10 py39h998d150_0
    - gflags 2.2.2 h419075a_1
    - glog 0.5.0 h419075a_1
    - icu 73.1 h419075a_0
    - krb5 1.20.1 h2e2fba8_1
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libabseil 20240116.2 cxx17_h419075a_0
    - libboost 1.82.0 hda0696e_2
    - libbrotlicommon 1.0.9 h998d150_8
    - libbrotlidec 1.0.9 h998d150_8
    - libbrotlienc 1.0.9 h998d150_8
    - libcurl 8.7.1 hfa2bbb0_0
    - libedit 3.1.20230828 h998d150_0
    - libev 4.33 hfd63f10_1
    - libevent 2.1.12 h6ac735f_1
    - libffi 3.4.4 h419075a_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h6e398d7_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libgrpc 1.62.2 hb788212_0
    - libnghttp2 1.57.0 hb788212_0
    - libopenblas 0.3.21 hc2e42e2_0
    - libprotobuf 4.25.3 h94b7715_0
    - libssh2 1.11.0 hfa2bbb0_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libthrift 0.15.0 hb2e9abc_2
    - lz4-c 1.9.4 h419075a_1
    - ncurses 6.4 h419075a_0
    - numpy 1.21.6 py39hce24898_1
    - numpy-base 1.21.6 py39h5f09236_1
    - openssl 3.0.14 h998d150_0
    - orc 2.0.1 h49f335c_0
    - packaging 24.1 py39hd43f75c_0
    - pip 24.0 py39hd43f75c_0
    - python 3.9.19 h4bb2201_1
    - re2 2022.04.01 h22f4aa5_0
    - readline 8.2 h998d150_0
    - s2n 1.3.27 h6ac735f_0
    - setuptools 69.5.1 py39hd43f75c_0
    - setuptools-scm 8.1.0 py39hd43f75c_0
    - setuptools_scm 8.1.0 hd3eb1b0_0
    - snappy 1.1.10 h419075a_1
    - sqlite 3.45.3 h998d150_0
    - tk 8.6.14 h987d8db_0
    - tomli 2.0.1 py39hd43f75c_0
    - typing-extensions 4.11.0 py39hd43f75c_0
    - typing_extensions 4.11.0 py39hd43f75c_0
    - tzdata 2024a h04d1e81_0
    - utf8proc 2.6.1 h998d150_1
    - wheel 0.43.0 py39hd43f75c_0
    - xz 5.4.6 h998d150_1
    - zlib 1.2.13 h998d150_1
    - zstd 1.5.5 h6a09583_2
  run:
    - arrow-cpp >=16.1.0,<16.1.1.0a0
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - numpy >=1.21.6,<2.0a0
    - python >=3.9,<3.10.0a0
test:
  commands:
    - pip check
    - test ! -f ${SP_DIR}/pyarrow/tests/test_array.py
    - test -f ${SP_DIR}/pyarrow/libarrow_python_flight${SHLIB_EXT}
    - test -f ${SP_DIR}/pyarrow/libarrow_python${SHLIB_EXT}
  imports:
    - pyarrow
    - pyarrow._hdfs
    - pyarrow._s3fs
    - pyarrow.acero
    - pyarrow.compute
    - pyarrow.csv
    - pyarrow.dataset
    - pyarrow.flight
    - pyarrow.fs
    - pyarrow.json
    - pyarrow.orc
    - pyarrow.parquet
  requires:
    - pip
about:
  description: 'This library provides a Python API for functionality provided by the
    Arrow C++ libraries,

    along with tools for Arrow integration and interoperability with pandas, NumPy,
    and other

    software in the Python ecosystem.

    '
  dev_url: https://github.com/apache/arrow/tree/main/python
  doc_url: https://github.com/apache/arrow/blob/main/docs/source/developers/python.rst
  home: https://github.com/apache/arrow
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: Python libraries for Apache Arrow
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 1f062ae6-521e-478f-9202-cec50590322c
  recipe-maintainers:
    - cpcloud
    - jreback
    - kou
    - kszucs
    - pcmoritz
    - pitrou
    - robertnishihara
    - siddharthteotia
    - wesm
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/pyarrow-feedstock.git
  sha: a349b4897dd9340d93d5f7103f6b364d3b8c6fdb
